===========
Plot module
===========

.. currentmodule:: nngt.plot

.. automodule:: nngt.plot
    :no-members:


Content
=======

.. autosummary::

    nngt.plot.Animation2d
    :members:
    nngt.plot.AnimationNetwork
    :members:
    nngt.plot.betweenness_distribution
    nngt.plot.compare_population_attributes
    nngt.plot.correlation_to_attribute
    nngt.plot.degree_distribution
    nngt.plot.draw_network
    nngt.plot.edge_attributes_distribution
    nngt.plot.node_attributes_distribution
    nngt.plot.palette_continuous
    nngt.plot.palette_discrete


Details
=======

.. module:: nngt.plot


.. autoclass:: Animation2d

.. autoclass:: AnimationNetwork

.. autofunction:: betweenness_distribution

.. autofunction:: compare_population_attributes

.. autofunction:: correlation_to_attribute

.. autofunction:: degree_distribution

.. autofunction:: draw_network

.. autofunction:: edge_attributes_distribution

.. autofunction:: node_attributes_distribution

.. autofunction:: palette_continuous

.. autofunction:: palette_discrete

